List Host Details of All Assets

Get details of all assets.

POST /assets/host/list

Input ParametersInput Parameters

The following table includes the input parameters used to get details of assets.

Parameter

Mandatory/

Optional

Data Type

Description

excludeFields

Optional

String

Comma separated list of fields to be excluded from the asset object in the response. Default is None. You can choose from the list of fields specified in the section Limit your results.

For example, to exclude openPort and software from the response:

excludeFields=
openPort,software

includeFields 

Optional

String

Comma separated list of fields to be included in the asset object in the response. Default is All. You can choose from the list of fields specified in the section Limit your results.

For example, to include only operatingSystem and hardware in the response:

includeFields=
operatingSystem,hardware

lastModifiedDate 

Optional

String

Shows records modified on or after this date with the UTC format as yyyy-MM-ddTHH:mmZ
For example: 2019-03-01T11:30Z

This date gets updated whenever any activity happens on the asset. Few examples of such activity:

  • Vulnerability Management scan
  • Policy Compliance scan
  • Inventory collection
  • Security Configuration Assessment
  • CertView scan
  • AssetView or CloudView connector run
  • Secure Enterprise Mobility scan
  • Out-of-Band Configuration Assessment
  • Asset rename
  • Purge of VM, PC, OCA, CertView records
  • Agent manifest download
  • Asset Inventory asset identification updates

lastSeenAssetId 

Optional

Integer

Use to get the count of assets having asset id greater than the specified last seen assetid.

pageSize 

Optional

Integer

The number of records per page to be included in the

response. If pageSize is not specified in the request, 100 records will be fetched by default.

The maximum value supported for pageSize is 100.

Authorization

Mandatory

String

Authorization token to authenticate to the Qualys Enterprise TruRisk™ Platform. Prepend token with Bearer and one space. For example Bearer authToken

Sample List Details of All AssetsSample List Details of All Assets

The following sample request and response are used to get details of all assets.

API Request

curl -X POST 
"<qualys_base_url>/am/v1/assets/host/list"
-H "Authorization: Bearer <JWTToken>"
-H "Content-Type: application/json"

API Response

{
  "responseMessage": "Valid API Access",
  "count": 100,
  "responseCode": "SUCCESS",
  "lastSeenAssetId": 10677327,
  "hasMore": 1,
  "assetListData": {
    "asset": [
      {
        "assetId": 10676044,
        "assetUUID": "9da5e990-f09d-4603-8f66-xxxxxxxxxxxx",
        "hostId": 2288228,
        "lastModifiedDate": "2019-07-30T07:06:34.507Z",
        "agentId": null,
        "createdDate": "2019-07-24T22:36:47.000Z",
        "sensorLastUpdatedDate": "2019-07-24T23:31:58.000Z",
        "assetType": "HOST",
        "address": "xx.xx.xx.xx",
        "dnsName": null,
        "assetName": "asset name",
        "netbiosName": "COM2K12DC",
        "timeZone": "",
        "biosDescription": "Phoenix Technologies LTD 6.00",
        "lastBoot": "1970-01-01T00:00:00.000Z",
        "totalMemory": 0,
        "cpuCount": 1,
        "lastLoggedOnUser": null,
        "biosSerialNumber": "",
        "biosAssetTag": "",
        "isContainerHost": false,
        "operatingSystem": {
          "osName": "Windows Server 2012",
          "fullName": "Windows Server 2012",
          "category": "Windows / Server",
          "category1": "Windows",
          "category2": "Server",
          "productName": "Windows Server 2012",
          "publisher": "Microsoft",
          "edition": "Datacenter",
          "marketVersion": "2012",
          "version": "6.2",
          "update": "",
          "architecture": "64-Bit",
          "lifecycle": {
            "gaDate": "2012-09-04T00:00:00.000Z",
            "eolDate": "2018-10-09T00:00:00.000Z",
            "eosDate": "2023-10-10T00:00:00.000Z",
            "stage": "EOL",
            "lifeCycleConfidence": "Exact",
            "eolSupportStage": "Mainstream Support",
            "eosSupportStage": "Extended Support"
          },
          "taxonomy": {
            "id": null,
            "name": "Windows / Server",
            "category1": "Windows",
            "category2": "Server"
          },
          "productUrl": "productURL",
          "productFamily": null
        },
        "hardware": {
          "fullName": "",
          "category": "Computers / Server",
          "category1": "Computers",
          "category2": "Server",
          "manufacturer": "Unidentified",
          "productName": "Unidentified",
          "model": "",
          "lifecycle": {
            "introDate": null,
            "gaDate": null,
            "eosDate": null,
            "obsoleteDate": null,
            "stage": "Not Available",
            "lifeCycleConfidence": " "
          },
          "taxonomy": {
            "id": null,
            "name": "Computers / Server",
            "category1": "Computers",
            "category2": "Server"
          },
          "productUrl": ",,",
          "productFamily": null
        },
        "userAccountListData": {
          "userAccount": []
        },
        "openPortListData": {
          "openPort": [
            {
              "port": 389,
              "description": "Lightweight Directory Access Protocol",
              "protocol": "TCP",
              "detectedService": "ldap",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            },
            {
              "port": 139,
              "description": "NetBIOS Session Service",
              "protocol": "TCP",
              "detectedService": "netbios_ssn",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            },
            {
              "port": 88,
              "description": "Kerberos-5",
              "protocol": "TCP",
              "detectedService": "Kerberos-5",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            },
            {
              "port": 593,
              "description": "Microsoft RPC Over HTTP",
              "protocol": "TCP",
              "detectedService": "msrpc-over-http",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            },
            {
              "port": 445,
              "description": "Microsoft Directory Server",
              "protocol": "TCP",
              "detectedService": "microsoft-ds",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            },
            {
              "port": 80,
              "description": "HyperText Transport Protocol",
              "protocol": "TCP",
              "detectedService": "http",
              "firstFound": "2019-07-24T22:36:46.000Z",
              "lastUpdated": "2019-07-24T22:36:46.000Z"
            }
          ]
        },
        "volumeListData": {
          "volume": []
        },
        "processor": {
          "description": "  Intel64 Family 6 Model 44 Stepping 2",
          "speed": 0,
          "numCPUs": 0
        },
        "networkInterfaceListData": {
          "networkInterface": [
            {
              "hostname": "hostname.com",
              "addressIpV4": null,
              "addressIpV6": null,
              "macAddress": "",
              "interfaceName": "",
              "dnsAddress": null,
              "gatewayAddress": "",
              "addresses": "xx.xx.xx.xx"
            }
          ]
        },
        "softwareListData": {
          "software": [
            {
              "fullName": "Microsoft Internet Explorer",
              "softwareType": "Application",
              "isIgnored": 0,
              "ignoredReason": "",
              "category": "Network Application / Internet Browser",
              "category1": "Network Application",
              "category2": "Internet Browser",
              "productName": "Internet Explorer",
              "component": "Client",
              "publisher": "Microsoft",
              "edition": "",
              "marketVersion": "10",
              "version": "10.0",
              "update": "10.0.xxxx.xxxxx",
              "architecture": "",
              "installDate": "1970-01-01T00:00:00.000Z",
              "lastUpdated": "2019-07-24T22:57:50.000Z",
              "lastUseDate": null,
              "language": null,
              "formerlyKnownAs": "",
              "isPackage": false,
              "isPackageComponent": true,
              "packageName": "",
              "productUrl": "productURL",
              "lifecycle": {
                "gaDate": "2012-08-01T00:00:00.000Z",
                "eolDate": null,
                "eosDate": null,
                "stage": "OS Dependent",
                "lifeCycleConfidence": "Exact",
                "eolSupportStage": " ",
                "eosSupportStage": " "
              },
              "supportStageDesc": null,
              "license": {
                "category": "Commercial",
                "subcategory": "Free"
              }
            }
          ]
        }
      }
    ]
  }
}